## python-testtools 0.9.2

=== Makefile ===
# See README for copyright and licensing details.

PYTHON=python
SOURCES=$(shell find testtools -name "*.py")

check:
	PYTHONPATH=$(PWD) $(PYTHON) -m testtools.run testtools.tests.test_suite

TAGS: ${SOURCES}
	ctags -e -R testtools/

tags: ${SOURCES}
	ctags -R testtools/

clean:
	rm -f TAGS tags
	find testtools -name "*.pyc" -exec rm '{}' \;

release:
	./setup.py sdist upload --sign

.PHONY: check clean

## python-testtools 0.9.4

=== Makefile ===
--- 
+++ 
@@ -19,4 +19,10 @@
 release:
 	./setup.py sdist upload --sign
 
-.PHONY: check clean
+apidocs:
+	pydoctor --make-html --add-package testtools \
+		--docformat=restructuredtext --project-name=testtools \
+		--project-url=https://launchpad.net/testtools
+
+
+.PHONY: check clean release apidocs

## python-testtools 0.9.11

=== Makefile ===
--- 
+++ 
@@ -12,17 +12,40 @@
 tags: ${SOURCES}
 	ctags -R testtools/
 
-clean:
+clean: clean-sphinx
 	rm -f TAGS tags
 	find testtools -name "*.pyc" -exec rm '{}' \;
+
+prerelease:
+	# An existing MANIFEST breaks distutils sometimes. Avoid that.
+	-rm MANIFEST
 
 release:
 	./setup.py sdist upload --sign
 
+snapshot: prerelease
+	./setup.py sdist
+
+### Documentation ###
+
 apidocs:
-	pydoctor --make-html --add-package testtools \
+	# pydoctor emits deprecation warnings under Ubuntu 10.10 LTS
+	PYTHONWARNINGS='ignore::DeprecationWarning' \
+		pydoctor --make-html --add-package testtools \
 		--docformat=restructuredtext --project-name=testtools \
 		--project-url=https://launchpad.net/testtools
 
+docs: docs-sphinx
 
-.PHONY: check clean release apidocs
+docs-sphinx: html-sphinx
+
+# Clean out generated documentation
+clean-sphinx:
+	cd doc && make clean
+
+# Build the html docs using Sphinx.
+html-sphinx:
+	cd doc && make html
+
+.PHONY: apidocs docs-sphinx clean-sphinx html-sphinx docs
+.PHONY: check clean prerelease release

## python-testtools 0.9.24

=== debian/changelog ===
python-testtools (0.9.24-0ubuntu2~cloud0) precise-grizzly; urgency=low

  * New update for the Ubuntu Cloud Archive. 

 -- James Page <james.page@ubuntu.com>  Fri, 08 Feb 2013 09:07:10 +0000

python-testtools (0.9.24-0ubuntu2) raring; urgency=low

  * debian/patches/backport-new-matchers.patch: Backport rev 312 from bzr. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 25 Jan 2013 10:02:23 -0600

python-testtools (0.9.24-0ubuntu1) raring; urgency=low

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Sat, 29 Dec 2012 16:49:55 -0600

python-testtools (0.9.14-2) unstable; urgency=low

  * Add python3-testtools package.
  * Migrate to debhelper 7, for easier packaging for Python3.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 12 Mar 2012 20:58:59 +0100

python-testtools (0.9.14-1) unstable; urgency=low

  * Add watch file.
  * New upstream release.
   + Now uses super to call setUp()/tearDown() for compatibility with
     multiple inheritance and Python 2.7. LP: #771508
  * Add myself to uploaders.
  * Bump standards version to 3.9.3 (no changes).
  * Add Vcs-Bzr header. Closes: #574603
  * Migrate to dh_python2. Closes: #617036
  * Only install for Python 2.5 and later. LP: #847827
  * Run testsuite during package build.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 11 Mar 2012 23:25:35 +0100

python-testtools (0.9.11-1) unstable; urgency=low

  * New upstream release.
  * Ship new html docs instead of the (gone) ReST MANUAL.

 -- Robert Collins <robertc@robertcollins.net>  Sun, 12 Jun 2011 13:15:23 +1200

python-testtools (0.9.8-1) unstable; urgency=low

  * New upstream release. Closes: #606479

 -- Robert Collins <robertc@robertcollins.net>  Sat, 18 Dec 2010 21:11:40 +1300

python-testtools (0.9.4-1) unstable; urgency=low

  * New upstream release.

 -- Robert Collins <robertc@robertcollins.net>  Sun, 04 Jul 2010 20:28:41 +1000

python-testtools (0.9.2-1) unstable; urgency=low

  * New upstream release.
  * Include the manual in the package.

 -- Robert Collins <robertc@robertcollins.net>  Wed, 16 Dec 2009 10:10:03 +1100

python-testtools (0.9.0-1) unstable; urgency=low

  * New upstream release.

 -- Robert Collins <robertc@robertcollins.net>  Sun, 22 Nov 2009 14:31:14 +1100

python-testtools (0.1~r16-1) unstable; urgency=low

  * Add to Debian. Closes: #547479
  * Change Maintainer to me.

 -- Robert Collins <robertc@robertcollins.net>  Sun, 20 Sep 2009 16:45:45 +1000

python-testtools (0.1~r16-0ubuntu1) karmic; urgency=low

  * Initial release (LP: #359308)
  * This is r16 from lp:~statik/testtools/add-manifest

 -- Elliot Murphy (personal) <elliot.murphy@gmail.com>  Wed, 08 Apr 2009 15:07:49 -0400

=== debian/control ===
Source: python-testtools
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Robert Collins <robertc@robertcollins.net>
Uploaders: Jelmer Vernooij <jelmer@debian.org>
Section: python
Priority: optional
Standards-Version: 3.9.3
Build-Depends:
    debhelper (>= 7.0.50~),
    python-all (>= 2.6.6-3~),
    python3-all,
    python-fixtures,
    python-sphinx,
    python-twisted
Vcs-Bzr: http://bzr.debian.org/bzr/collab-maint/python-testtools/unstable
X-Python-Version: >= 2.5
X-Python3-Version: >= 3.0
Homepage: https://launchpad.net/testtools

Package: python-testtools
Architecture: all
Depends: ${python:Depends},
    ${misc:Depends},
    python-pkg-resources
Provides: ${python:Provides}
Breaks: python-subunit (<< 0.0.6)
Recommends: python-fixtures
Suggests: python-twisted
Description: Extensions to the Python unittest library
 testtools (formerly pyunit3k) is a set of extensions to the Python standard
 library's unit testing framework. These extensions have been derived from
 years of experience with unit testing in Python and come from many different
 sources. It's hoped that these extensions will make their way into the
 standard library eventually. Also included are backports from Python trunk of
 unittest features that are not otherwise available to existing unittest users.

Package: python3-testtools
Architecture: all
Depends: ${python3:Depends},
    ${misc:Depends},
    python3-pkg-resources
Provides: ${python:Provides}
Description: Extensions to the Python unittest library
 testtools (formerly pyunit3k) is a set of extensions to the Python standard
 library's unit testing framework. These extensions have been derived from
 years of experience with unit testing in Python and come from many different
 sources. It's hoped that these extensions will make their way into the
 standard library eventually. Also included are backports from Python trunk of
 unittest features that are not otherwise available to existing unittest users.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

%:
	dh $@ --with python2,python3

override_dh_auto_build:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py build; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py build; \
	done
	$(MAKE) docs

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-testtools; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-testtools; \
	done
	# Remove 2x compat file as it causes errors during byte compilation on installation.
	echo 'raise SyntaxError' > \
		$(CURDIR)/debian/python3-testtools/usr/lib/python3/dist-packages/testtools/_compat2x.py

ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	$(MAKE) -C $(CURDIR) check
endif

=== debian/watch ===
version=3
https://launchpad.net/testtools/+download https://launchpad.net/testtools/.*/testtools-(.*)\.tar\.gz

## python-testtools 0.9.32

=== debian/changelog ===
python-testtools (0.9.32-2) unstable; urgency=low

  * Added missing python-mimeparse build-depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 22 Jul 2013 04:21:28 +0000

python-testtools (0.9.32-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 20 Jul 2013 07:22:17 +0000

python-testtools (0.9.29-3) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 11 May 2013 06:23:25 +0000

python-testtools (0.9.29-2) experimental; urgency=low

  * Added missing build-depends: python3-setuptools, python-setuptools and
    python-extras.
  * Build-depends: python-fixtures must be >= 0.3.12~

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Mar 2013 18:49:02 +0000

python-testtools (0.9.29-1) experimental; urgency=low

  * New upstream release.
  * Rewrote debian/copyright using parsable format 1.0.
  * Now using source format 3.0 (quilt).
  * Standard-Version is now 3.9.4.
  * Compat and debhelper are now 9.
  * X-Python-Version: >= 2.6 instead of 2.5.
  * Removes embedded version of jquery.js and underscore.js, and recommends
    corresponding Debian packages.
  * Sets the Debian Python Modules Team as new Maintainer:, switches the VCS
    field to the SVN of the team, removed debian/bzr-builddeb.conf.
  * Added minor changes in long and short descriptions (so that python 2 and 3
    modules don't have the same descriptions).
  * The watch file now uses tags from github.
  * Cleans now does rm -rf build testtools.egg-info doc/_build.
  * Added doc-base registration.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Feb 2013 12:18:38 +0000

python-testtools (0.9.21-1) experimental; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 07 Dec 2012 01:06:06 +0100

=== debian/control ===
Source: python-testtools
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Robert Collins <robertc@robertcollins.net>, Jelmer Vernooij <jelmer@debian.org>, Thomas Goirand <zigo@debian.org>
Section: python
Priority: optional
Standards-Version: 3.9.4
Build-Depends:
    debhelper (>= 9),
    python-all (>= 2.6.6-3~),
    python3-all,
    python-mimeparse,
    python-setuptools,
    python3-setuptools,
    python-extras,
    python-fixtures (>= 0.3.12~),
    python-sphinx,
    python-twisted
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.0
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-testtools/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-testtools/trunk/
Homepage: http://pypi.python.org/pypi/testtools

Package: python-testtools
Architecture: all
Depends: ${python:Depends},
    ${misc:Depends},
    python-pkg-resources
Provides: ${python:Provides}
Breaks: python-subunit (<< 0.0.6)
Recommends: python-fixtures, libjs-jquery, node-underscore
Suggests: python-twisted
Description: Extensions to the Python unittest library (Python 2.x)
 testtools (formerly pyunit3k) is a set of extensions to the Python standard
 library's unit testing framework. These extensions have been derived from
 years of experience with unit testing in Python and come from many different
 sources. It's hoped that these extensions will make their way into the
 standard library eventually. Also included are backports from Python trunk of
 unittest features that are not otherwise available to existing unittest users.
 .
 This package contains the libraries for Python 2.x.

Package: python3-testtools
Architecture: all
Depends: ${python3:Depends},
    ${misc:Depends},
    python3-pkg-resources
Provides: ${python:Provides}
Description: Extensions to the Python unittest library (Python 3.x)
 testtools (formerly pyunit3k) is a set of extensions to the Python standard
 library's unit testing framework. These extensions have been derived from
 years of experience with unit testing in Python and come from many different
 sources. It's hoped that these extensions will make their way into the
 standard library eventually. Also included are backports from Python trunk of
 unittest features that are not otherwise available to existing unittest users.
 .
 This package contains the libraries for Python 3.x.

## python-testtools 0.9.35

=== debian/changelog ===
python-testtools (0.9.35-0ubuntu1) trusty; urgency=medium

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 31 Jan 2014 09:06:53 -0500

python-testtools (0.9.33-0ubuntu1) trusty; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 12 Nov 2013 09:26:26 -0500

python-testtools (0.9.32-0ubuntu1) saucy; urgency=low

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 06 Sep 2013 22:43:05 -0400

python-testtools (0.9.30-0ubuntu4) saucy; urgency=low

  * debian/control: Fix typo.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 06 Jun 2013 08:21:33 -0500

python-testtools (0.9.30-0ubuntu3) saucy; urgency=low

  * debian/control: Add python3-mimeparse dependency. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 06 Jun 2013 07:07:26 -0500

python-testtools (0.9.30-0ubuntu2) saucy; urgency=low

  * debian/control: Add python-testresources dependency. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 05 Jun 2013 09:33:59 -0500

python-testtools (0.9.30-0ubuntu1) saucy; urgency=low

  * New upstream release. 
  * debian/control: Add python-mimeparse dependency.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 04 Jun 2013 13:21:59 -0500

python-testtools (0.9.29-3ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Replace node-underscore with libjs-underscore in Recommends.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 26 May 2013 05:38:56 -0600

python-testtools (0.9.29-2ubuntu1) saucy; urgency=low

  * Replace node-underscore with libjs-underscore in Recommends.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 08 May 2013 14:14:39 -0600

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: python-testtools
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Robert Collins <robertc@robertcollins.net>, Jelmer Vernooij <jelmer@debian.org>, Thomas Goirand <zigo@debian.org>
 Section: python
 Priority: optional
@@ -8,13 +9,15 @@
     debhelper (>= 9),
     python-all (>= 2.6.6-3~),
     python3-all,
-    python-mimeparse,
     python-setuptools,
     python3-setuptools,
     python-extras,
     python-fixtures (>= 0.3.12~),
     python-sphinx,
-    python-twisted
+    python-twisted,
+    python-mimeparse,
+    python3-mimeparse,
+    python-testresources
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.0
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-testtools/trunk/
@@ -28,7 +31,7 @@
     python-pkg-resources
 Provides: ${python:Provides}
 Breaks: python-subunit (<< 0.0.6)
-Recommends: python-fixtures, libjs-jquery, node-underscore
+Recommends: python-fixtures, libjs-jquery, libjs-underscore
 Suggests: python-twisted
 Description: Extensions to the Python unittest library (Python 2.x)
  testtools (formerly pyunit3k) is a set of extensions to the Python standard

=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,20 @@
 	echo 'raise SyntaxError' > \
 		$(CURDIR)/debian/python3-testtools/usr/lib/python3/dist-packages/testtools/_compat2x.py
 
+override_dh_installdocs:
+	dh_installdocs
+	# Replaces embedded copy of Jquery and Underscore javascript libs by
+	# symlinks to available Debian packages.
+	rm $(CURDIR)/debian/python-testtools/usr/share/doc/python-testtools/html/_static/jquery.js
+	ln -s ../../../../javascript/jquery/jquery.js $(CURDIR)/debian/python-testtools/usr/share/doc/python-testtools/html/_static/jquery.js
+	rm $(CURDIR)/debian/python-testtools/usr/share/doc/python-testtools/html/_static/underscore.js
+	ln -s ../../../../javascript/underscore.js $(CURDIR)/debian/python-testtools/usr/share/doc/python-testtools/html/_static/underscore.js
+	install -D -m 0644 debian/python-testtools.docbase $(CURDIR)/debian/python-testtools/usr/share/doc-base/python-testtools
+
+override_dh_clean:
+	dh_clean
+	rm -rf build testtools.egg-info doc/_build
+
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
 	$(MAKE) -C $(CURDIR) check

## python-testtools 0.9.39

=== debian/changelog ===
python-testtools (0.9.39-1) unstable; urgency=medium

  [ Jelmer Vernooij ]
  * Don't install empty placeholder file; fixes lintian warning.

  [ Martin Pitt ]
  * Semi-DPMT team member upload with Robert's permission.
  * New upstream release.
  * Suggest -doc package (Closes: #740571)

 -- Martin Pitt <mpitt@debian.org>  Fri, 29 Aug 2014 10:35:16 +0200

python-testtools (0.9.35-2) unstable; urgency=medium

  * Re-add myself to uploaders.
  * Add basic autopkgtest tests.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 06 Jul 2014 00:11:19 +0200

python-testtools (0.9.35-1) unstable; urgency=medium

  [ Jelmer Vernooij ]
  * Remove myself from uploaders.

  [ Thomas Goirand ]
  * New upstream release.
  * Standards-Version: is now 3.9.5.
  * Do not remove testtools.egg-info, add extend-diff-ignore =
    "^[^/]*[.]egg-info/" in debian/source/options.
  * Fixes the way the sphinx doc is built, and now using a specific and
    separate doc package to store the documentation: do not use the "make doc"
    and call sphinx directly.
  * Removed useless dh_auto_build override.
  * Added python-mimeparse, python3-mimeparse, python-testresources (>= 0.2.7)
    as build-depends.
  * Ran wrap-and-sort.

 -- Thomas Goirand <zigo@debian.org>  Mon, 24 Feb 2014 13:39:29 +0800

=== debian/control ===
Source: python-testtools
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Robert Collins <robertc@robertcollins.net>,
           Thomas Goirand <zigo@debian.org>,
           Jelmer Vernooij <jelmer@debian.org>
Section: python
Priority: optional
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9),
               python-all (>= 2.6.6-3~),
               python-extras,
               python-fixtures (>= 0.3.12~),
               python-mimeparse,
               python-setuptools,
               python-sphinx,
               python-testresources (>= 0.2.7),
               python-twisted,
               python3-all,
               python3-mimeparse,
               python3-setuptools
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.0
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-testtools/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-testtools/trunk/
Homepage: http://pypi.python.org/pypi/testtools
XS-Testsuite: autopkgtest

Package: python-testtools
Architecture: all
Depends: python-pkg-resources, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Breaks: python-subunit (<< 0.0.6)
Recommends: python-fixtures
Suggests: python-twisted, python-testtools-doc
Description: Extensions to the Python unittest library - Python 2.x
 testtools (formerly pyunit3k) is a set of extensions to the Python standard
 library's unit testing framework. These extensions have been derived from
 years of experience with unit testing in Python and come from many different
 sources. It's hoped that these extensions will make their way into the
 standard library eventually. Also included are backports from Python trunk of
 unittest features that are not otherwise available to existing unittest users.
 .
 This package contains the libraries for Python 2.x.

Package: python3-testtools
Architecture: all
Depends: python3-pkg-resources, ${misc:Depends}, ${python3:Depends}
Suggests: python-testtools-doc
Provides: ${python:Provides}
Description: Extensions to the Python unittest library - Python 3.x
 testtools (formerly pyunit3k) is a set of extensions to the Python standard
 library's unit testing framework. These extensions have been derived from
 years of experience with unit testing in Python and come from many different
 sources. It's hoped that these extensions will make their way into the
 standard library eventually. Also included are backports from Python trunk of
 unittest features that are not otherwise available to existing unittest users.
 .
 This package contains the libraries for Python 3.x.

Package: python-testtools-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Extensions to the Python unittest library - doc
 testtools (formerly pyunit3k) is a set of extensions to the Python standard
 library's unit testing framework. These extensions have been derived from
 years of experience with unit testing in Python and come from many different
 sources. It's hoped that these extensions will make their way into the
 standard library eventually. Also included are backports from Python trunk of
 unittest features that are not otherwise available to existing unittest users.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-testtools; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-testtools; \
	done
	# Remove 2x compat file as it causes errors during byte compilation on installation.
	echo 'raise SyntaxError' > \
		$(CURDIR)/debian/python3-testtools/usr/lib/python3/dist-packages/testtools/_compat2x.py

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc $(CURDIR)/debian/python-testtools-doc/usr/share/doc/python-testtools-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
	# Remove empty git placeholder files that make lintian unhappy.
	rm -f $(CURDIR)/debian/python-testtools-doc/usr/share/doc/python-testtools-doc/html/_static/placeholder.txt
endif

ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	set -ex && for pyvers in $(PYTHONS) $(PYTHON3S); do \
		PYTHONPATH=. PYTHON=python$$pyvers $(MAKE) -C $(CURDIR) check ; \
	done
endif

## python-testtools 1.4.0

=== debian/changelog ===
python-testtools (1.4.0-0ubuntu2~cloud0) trusty-liberty; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 10 Sep 2015 00:04:04 +0000

python-testtools (1.4.0-0ubuntu2) wily; urgency=medium

  * d/patches/issue149-and-more.patch: Partly an import of an upstream fix
    for Twisted >= 15.1.0 and partly a workaround for our too old version
    of testtools, this patch fixes FTBFS LP: #1488710.

 -- Barry Warsaw <barry@ubuntu.com>  Wed, 09 Sep 2015 15:31:52 -0400

python-testtools (1.4.0-0ubuntu1) wily; urgency=medium

  * New upstream release:
    - d/control: Add BD on python{3}-unittest2 >= 0.8.0.
    - d/control: Add BD on python3-extras.
  * Update watch file to use Debian pypi redirector.
  * Tweak execution of unit tests to ensure Python 3 is actually used.
  * Add BD on dh-python.
  * Bumped Standards-Version to 3.9.6, no changes.
  * Wrap and sort.

 -- James Page <james.page@ubuntu.com>  Fri, 19 Jun 2015 11:09:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: python-testtools
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Robert Collins <robertc@robertcollins.net>,
            Thomas Goirand <zigo@debian.org>,
            Jelmer Vernooij <jelmer@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9),
+               dh-python,
                python-all (>= 2.6.6-3~),
                python-extras,
                python-fixtures (>= 0.3.12~),
@@ -15,9 +17,12 @@
                python-sphinx,
                python-testresources (>= 0.2.7),
                python-twisted,
+               python-unittest2 (>= 0.8.0),
                python3-all,
+               python3-extras,
                python3-mimeparse,
-               python3-setuptools
+               python3-setuptools,
+               python3-unittest2 (>= 0.8.0)
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.0
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-testtools/trunk/
@@ -27,11 +32,14 @@
 
 Package: python-testtools
 Architecture: all
-Depends: python-pkg-resources, ${misc:Depends}, ${python:Depends}
+Depends: python-pkg-resources,
+         python-unittest2 (>= 0.8.0),
+         ${misc:Depends},
+         ${python:Depends}
 Provides: ${python:Provides}
 Breaks: python-subunit (<< 0.0.6)
 Recommends: python-fixtures
-Suggests: python-twisted, python-testtools-doc
+Suggests: python-testtools-doc, python-twisted
 Description: Extensions to the Python unittest library - Python 2.x
  testtools (formerly pyunit3k) is a set of extensions to the Python standard
  library's unit testing framework. These extensions have been derived from
@@ -44,7 +52,10 @@
 
 Package: python3-testtools
 Architecture: all
-Depends: python3-pkg-resources, ${misc:Depends}, ${python3:Depends}
+Depends: python3-pkg-resources,
+         python3-unittest2 (>= 0.8.0),
+         ${misc:Depends},
+         ${python3:Depends}
 Suggests: python-testtools-doc
 Provides: ${python:Provides}
 Description: Extensions to the Python unittest library - Python 3.x

## python-testtools 1.8.0

=== debian/changelog ===
python-testtools (1.8.0-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Free Ekanayaka ]
  * Fix broken import from twisted.trial.unittest (Closes: #848888)

 -- Free Ekanayaka <freee@debian.org>  Tue, 27 Dec 2016 11:38:33 +0000

python-testtools (1.8.0-4) unstable; urgency=medium

  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

 -- Ondřej Nový <novy@ondrej.org>  Sun, 28 Feb 2016 15:52:05 +0100

python-testtools (1.8.0-3) unstable; urgency=medium

  * Uploading to unstable.
  * Do not run unit tests of testtools, as it is currently broken in Debian.
  * Removed python-fixtures build-depends to avoid circular build-depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 11:47:22 +0000

python-testtools (1.8.0-2) experimental; urgency=medium

  * Added missing python-linecache2 (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 16 Jul 2015 12:06:03 +0200

python-testtools (1.8.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed useless X-Python-Version: >= 2.6 and X-Python3-Version: >= 3.0.
  * Switched to Git tag workflow instead of SVN:
    - Added a debian/gbp.conf
    - Fixed VCS fields in debian/control.
    - Switched team Maintainer: field.
  * Added dh-python as build-depends.
  * Moved some build-depends to build-depends-indep.
  * Ran wrap-and-sort -t -a.
  * Dropped some Breaks+Replaces not needed since the Jessie release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Jul 2015 11:13:16 +0200

=== debian/control ===
Source: python-testtools
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Robert Collins <robertc@robertcollins.net>,
           Thomas Goirand <zigo@debian.org>,
           Jelmer Vernooij <jelmer@debian.org>,
           Free Ekanayaka <freee@debian.org>,
Build-Depends: debhelper (>= 10),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 0.11),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 0.11),
               python3-setuptools,
Build-Depends-Indep: python-extras,
                     python-linecache2,
                     python-mimeparse,
                     python-testresources,
                     python-traceback2,
                     python-twisted,
                     python-unittest2 (>= 1.1.0),
                     python3-extras,
                     python3-linecache2,
                     python3-mimeparse,
                     python3-testresources,
                     python3-traceback2,
                     python3-unittest2 (>= 1.1.0),
Standards-Version: 3.9.6
Vcs-Git: https://git.openstack.org/openstack/deb-python-testtools -b debian/newton
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-testtools?h=debian%2Fnewton
Homepage: https://github.com/testing-cabal/testtools
XS-Testsuite: autopkgtest

Package: python-testtools
Architecture: all
Depends: python-extras,
         python-linecache2,
         python-mimeparse,
         python-pbr (>= 0.11),
         python-pkg-resources,
         python-traceback2,
         python-unittest2 (>= 1.1.0),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Recommends: python-fixtures,
Suggests: python-testtools-doc,
          python-twisted,
Description: Extensions to the Python unittest library - Python 2.x
 testtools (formerly pyunit3k) is a set of extensions to the Python standard
 library's unit testing framework. These extensions have been derived from
 years of experience with unit testing in Python and come from many different
 sources. It's hoped that these extensions will make their way into the
 standard library eventually. Also included are backports from Python trunk of
 unittest features that are not otherwise available to existing unittest users.
 .
 This package contains the libraries for Python 2.x.

Package: python3-testtools
Architecture: all
Depends: python3-extras,
         python3-linecache2,
         python3-mimeparse,
         python3-pbr (>= 0.11),
         python3-pkg-resources,
         python3-traceback2,
         python3-unittest2 (>= 1.1.0),
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-testtools-doc,
Provides: ${python:Provides},
Description: Extensions to the Python unittest library - Python 3.x
 testtools (formerly pyunit3k) is a set of extensions to the Python standard
 library's unit testing framework. These extensions have been derived from
 years of experience with unit testing in Python and come from many different
 sources. It's hoped that these extensions will make their way into the
 standard library eventually. Also included are backports from Python trunk of
 unittest features that are not otherwise available to existing unittest users.
 .
 This package contains the libraries for Python 3.x.

Package: python-testtools-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: Extensions to the Python unittest library - doc
 testtools (formerly pyunit3k) is a set of extensions to the Python standard
 library's unit testing framework. These extensions have been derived from
 years of experience with unit testing in Python and come from many different
 sources. It's hoped that these extensions will make their way into the
 standard library eventually. Also included are backports from Python trunk of
 unittest features that are not otherwise available to existing unittest users.
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,14 @@
 
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
+
+UPSTREAM_GIT := https://github.com/testing-cabal/testtools.git
+include /usr/share/openstack-pkg-tools/pkgos.make
+
+export OSLO_PACKAGE_VERSION=$(VERSION)
+
+export http_proxy=http://127.0.0.1:9
+export https_proxy=http://127.0.0.1:9
 
 %:
 	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
@@ -27,9 +35,9 @@
 	rm -f $(CURDIR)/debian/python-testtools-doc/usr/share/doc/python-testtools-doc/html/_static/placeholder.txt
 endif
 
-ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-override_dh_auto_test:
-	set -ex && for pyvers in $(PYTHONS) $(PYTHON3S); do \
-		PYTHONPATH=. PYTHON=python$$pyvers $(MAKE) -C $(CURDIR) check ; \
-	done
-endif
+#ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+#override_dh_auto_test:
+#	set -ex && for pyvers in $(PYTHONS) $(PYTHON3S); do \
+#		PYTHONPATH=$(CURDIR) PYTHON=python$$pyvers python$$pyvers -m testtools.run testtools.tests.test_suite ; \
+#	done
+#endif

=== debian/watch ===
version=3
https://github.com/testing-cabal/testtools/tags .*/testtools-(\d[\d\.]+)\.tar\.gz

## python-testtools 1.8.1

=== requirements.txt ===
pbr>=0.11
extras
# 'mimeparse' has not been uploaded by the maintainer with Python3 compat
# but someone kindly uploaded a fixed version as 'python-mimeparse'.
python-mimeparse
unittest2>=1.0.0
traceback2

=== debian/changelog ===
python-testtools (1.8.1-0ubuntu1) xenial; urgency=medium

  * New upstream release
  * debian/control: Add build-dep in python3-pbr.
  * debian/patches/issue149-and-more.patch: Drop. Merged upstream.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 18 Nov 2015 19:01:49 -0500

=== debian/control ===
Source: python-testtools
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Robert Collins <robertc@robertcollins.net>,
           Thomas Goirand <zigo@debian.org>,
           Jelmer Vernooij <jelmer@debian.org>
Section: python
Priority: optional
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-extras,
               python-fixtures (>= 0.3.12~),
               python-mimeparse,
               python-setuptools,
               python-sphinx,
               python-testresources (>= 0.2.7),
               python-twisted,
               python-unittest2 (>= 0.8.0),
               python3-all,
               python3-extras,
               python3-mimeparse,
               python3-setuptools,
               python3-unittest2 (>= 0.8.0),
               python3-pbr
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.0
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-testtools/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-testtools/trunk/
Homepage: http://pypi.python.org/pypi/testtools
XS-Testsuite: autopkgtest

Package: python-testtools
Architecture: all
Depends: python-pkg-resources,
         python-unittest2 (>= 0.8.0),
         ${misc:Depends},
         ${python:Depends}
Provides: ${python:Provides}
Breaks: python-subunit (<< 0.0.6)
Recommends: python-fixtures
Suggests: python-testtools-doc, python-twisted
Description: Extensions to the Python unittest library - Python 2.x
 testtools (formerly pyunit3k) is a set of extensions to the Python standard
 library's unit testing framework. These extensions have been derived from
 years of experience with unit testing in Python and come from many different
 sources. It's hoped that these extensions will make their way into the
 standard library eventually. Also included are backports from Python trunk of
 unittest features that are not otherwise available to existing unittest users.
 .
 This package contains the libraries for Python 2.x.

Package: python3-testtools
Architecture: all
Depends: python3-pkg-resources,
         python3-unittest2 (>= 0.8.0),
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-testtools-doc
Provides: ${python:Provides}
Description: Extensions to the Python unittest library - Python 3.x
 testtools (formerly pyunit3k) is a set of extensions to the Python standard
 library's unit testing framework. These extensions have been derived from
 years of experience with unit testing in Python and come from many different
 sources. It's hoped that these extensions will make their way into the
 standard library eventually. Also included are backports from Python trunk of
 unittest features that are not otherwise available to existing unittest users.
 .
 This package contains the libraries for Python 3.x.

Package: python-testtools-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Extensions to the Python unittest library - doc
 testtools (formerly pyunit3k) is a set of extensions to the Python standard
 library's unit testing framework. These extensions have been derived from
 years of experience with unit testing in Python and come from many different
 sources. It's hoped that these extensions will make their way into the
 standard library eventually. Also included are backports from Python trunk of
 unittest features that are not otherwise available to existing unittest users.
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -2,14 +2,6 @@
 
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
-
-UPSTREAM_GIT := https://github.com/testing-cabal/testtools.git
-include /usr/share/openstack-pkg-tools/pkgos.make
-
-export OSLO_PACKAGE_VERSION=$(VERSION)
-
-export http_proxy=http://127.0.0.1:9
-export https_proxy=http://127.0.0.1:9
 
 %:
 	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
@@ -35,9 +27,9 @@
 	rm -f $(CURDIR)/debian/python-testtools-doc/usr/share/doc/python-testtools-doc/html/_static/placeholder.txt
 endif
 
-#ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-#override_dh_auto_test:
-#	set -ex && for pyvers in $(PYTHONS) $(PYTHON3S); do \
-#		PYTHONPATH=$(CURDIR) PYTHON=python$$pyvers python$$pyvers -m testtools.run testtools.tests.test_suite ; \
-#	done
-#endif
+ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+override_dh_auto_test:
+	set -ex && for pyvers in $(PYTHONS) $(PYTHON3S); do \
+		PYTHONPATH=. python$$pyvers -m testtools.run testtools.tests.test_suite ; \
+	done
+endif

## python-testtools 2.3.0

=== debian/changelog ===
python-testtools (2.3.0-3ubuntu2) bionic; urgency=medium

  * python3-testtools: Depend on python3-distutils.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 12 Apr 2018 00:01:54 +0200

python-testtools (2.3.0-3ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/tests/{testsuite-py2, testsuite-py3}: Fix autopkgtests.
    - d/gbp.conf: Update gbp configuration file.
  * Dropped changes, included in Debian:
    - debian/tests/control: Allow stderr
    - d/tests/control: Execution of dep8 tests requires
      python(3)-testscenarios.
    - debian/control: Add build-dep in python3-pbr.
    - d/control: Align (Build-)Depends with upstream.
    - debian/patches/issue149-and-more.patch: Drop. Merged upstream.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 16 Mar 2018 21:43:04 -0700

python-testtools (2.3.0-3) unstable; urgency=medium

  * Team upload.
  * d/tests/control: Execution of dep8 tests requires python(3)-testscenarios
    (Closes: #881819)

 -- Ondřej Nový <onovy@debian.org>  Wed, 15 Nov 2017 16:03:50 +0100

python-testtools (2.3.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/copyright ordering.
  * Removed XS-Testsuite:.
  * Removed Recommends: python-fixtures as it's in runtime depends.
  * Standards-Version is now 4.1.1.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 22:39:28 +0000

python-testtools (2.3.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_install.
  * Running unit tests again.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Sep 2017 21:51:44 +0200

python-testtools (2.3.0-0ubuntu2) bionic; urgency=medium

  * d/tests/control: Execution of dep8 tests requires python(3)-testscenarios.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 15 Nov 2017 09:45:21 -0500

python-testtools (2.3.0-0ubuntu1) bionic; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Nov 2017 10:43:15 -0500

python-testtools (1.8.1-0ubuntu2) yakkety; urgency=medium

  * debian/tests/control: Allow stderr
  * debian/tests/{testsuite-py2, testsuite-py3}: Fix autopkgtests.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 04 Oct 2016 08:53:10 -0400

=== debian/control ===
Source: python-testtools
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Robert Collins <robertc@robertcollins.net>,
 Thomas Goirand <zigo@debian.org>,
 Jelmer Vernooij <jelmer@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr,
 python-setuptools,
 python-sphinx,
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python-extras (>= 1.0.0),
 python-fixtures,
 python-linecache2,
 python-mimeparse,
 python-six,
 python-testresources,
 python-testscenarios,
 python-traceback2,
 python-twisted,
 python-unittest2,
 python3-extras (>= 1.0.0),
 python3-fixtures,
 python3-linecache2,
 python3-mimeparse,
 python3-six,
 python3-testresources,
 python3-testscenarios,
 python3-traceback2,
 python3-unittest2,
Standards-Version: 4.1.1
XS-Debian-Vcs-Git: https://anonscm.debian.org/git/openstack/python/python-testtools.git
XS-Debian-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python/python-testtools.git
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-testtools
Homepage: https://github.com/testing-cabal/testtools

Package: python-testtools
Architecture: all
Depends:
 python-extras (>= 1.0.0),
 python-fixtures,
 python-linecache2,
 python-mimeparse,
 python-pbr,
 python-pkg-resources,
 python-six,
 python-traceback2,
 python-unittest2,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-testtools-doc,
 python-twisted,
Description: Extensions to the Python unittest library - Python 2.x
 testtools (formerly pyunit3k) is a set of extensions to the Python standard
 library's unit testing framework. These extensions have been derived from
 years of experience with unit testing in Python and come from many different
 sources. It's hoped that these extensions will make their way into the
 standard library eventually. Also included are backports from Python trunk of
 unittest features that are not otherwise available to existing unittest users.
 .
 This package contains the libraries for Python 2.x.

Package: python-testtools-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Extensions to the Python unittest library - doc
 testtools (formerly pyunit3k) is a set of extensions to the Python standard
 library's unit testing framework. These extensions have been derived from
 years of experience with unit testing in Python and come from many different
 sources. It's hoped that these extensions will make their way into the
 standard library eventually. Also included are backports from Python trunk of
 unittest features that are not otherwise available to existing unittest users.
 .
 This package contains the documentation.

Package: python3-testtools
Architecture: all
Depends:
 python3-distutils,
 python3-extras (>= 1.0.0),
 python3-fixtures,
 python3-linecache2,
 python3-mimeparse,
 python3-pbr,
 python3-pkg-resources,
 python3-six,
 python3-traceback2,
 python3-unittest2,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-testtools-doc,
Description: Extensions to the Python unittest library - Python 3.x
 testtools (formerly pyunit3k) is a set of extensions to the Python standard
 library's unit testing framework. These extensions have been derived from
 years of experience with unit testing in Python and come from many different
 sources. It's hoped that these extensions will make their way into the
 standard library eventually. Also included are backports from Python trunk of
 unittest features that are not otherwise available to existing unittest users.
 .
 This package contains the libraries for Python 3.x.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/testing-cabal/testtools.git
include /usr/share/openstack-pkg-tools/pkgos.make

export http_proxy=http://127.0.0.1:9
export https_proxy=http://127.0.0.1:9

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install
	# Remove 2x compat file as it causes errors during byte compilation on installation.
	echo 'raise SyntaxError' > \
		$(CURDIR)/debian/python3-testtools/usr/lib/python3/dist-packages/testtools/_compat2x.py

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc $(CURDIR)/debian/python-testtools-doc/usr/share/doc/python-testtools-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
	# Remove empty git placeholder files that make lintian unhappy.
	rm -f $(CURDIR)/debian/python-testtools-doc/usr/share/doc/python-testtools-doc/html/_static/placeholder.txt
endif

ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	set -ex ; for pyvers in $(PYTHONS) $(PYTHON3S); do \
		PYTHONPATH=$(CURDIR) PYTHON=python$$pyvers python$$pyvers -m testtools.run testtools.tests.test_suite ; \
	done
endif

=== debian/tests/control ===
Tests: testsuite-py2
Depends: python-testtools, python-testscenarios
Restrictions: allow-stderr

Tests: testsuite-py3
Depends: python3-testtools, python3-testscenarios
Restrictions: allow-stderr
